%define ISONAME ISO8859-2
Name: XFree86-%{ISONAME}-Type1-fonts
Version: 1.0
Release: 15mdk
Copyright: MIT
Source: http://www.intersoft.cz/linux/fonts/ulT1mo-beta-1.0.tar.bz2
#Source1: http://www.biz.net.pl/images/ISO8859-2-bdf.tar.bz2
Patch0: XFree86-ISO8859-2-1.0-redhat.patch.bz2
Requires: XFree86 > 3.2
BuildRoot: %{_tmppath}/XFree86-ISO8859-2-root
BuildArch: noarch
Prereq: chkfontpath
Group: System/Fonts/Type1
Summary: Type 1 scalable Central European language (ISO8859-2) fonts for X.

%description
The XFree86-ISO8859-2-Type1-fonts package contains Central European
Type 1 fonts for the X Window System.  This set of fonts is known as
the ulT1mo (or ultimo) collection.  All of the included fonts are
copyrighted to their authors and freeware.  Original fonts were taken
from the Internet or CDs.

If you need to display Central European language fonts on your X
Window System, you should install the XFree86-ISO8859-2-Type1-fonts
package.  You may need to also install one or more of the other XFree86
fonts packages.  To install the X Window System, you will need to
install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  Finally, if you
are going to develop applications that will run as X clients, you'll
need to install XFree86-devel.

%prep
%setup -c -q 
%patch0 -p1 -b .redhat

%build
PATH="${PATH}:/usr/X11R6/bin" 
make all -C ulT1mo-beta-1.0

%install
rm -rf $RPM_BUILD_ROOT
DSTFONT=$RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}
mkdir -p $DSTFONT/Type1/{afm,pfm}
(cd ulT1mo-beta-1.0 ;
install -m 644 *.pfb fonts.{alias,dir,scale} $DSTFONT/Type1
install -m 644 afm/*.afm $DSTFONT/Type1/afm
install -m 644 pfm/*.pfm $DSTFONT/Type1/pfm
)
## the fonts have wrong postscript glyph names; the only way to use
## them is to use them as *-adobe-fontspecific and use font aliases.
## as glyph codes are wrong, we cannot use Xft with it -- pablo
#(cd $DSTFONT/Type1
# /usr/X11R6/bin/xftcache . || touch XftCache
# ln -s /etc/X11/encodings.dir encodings.dir
#)	   


%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/Type1

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/Type1
fi

%files
%defattr(-,root,root)
%doc ulT1mo-beta-1.0/README.ulT1mo
%dir /usr/share/fonts/%{ISONAME}
/usr/share/fonts/%{ISONAME}/Type1

%changelog
* Wed Jul 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-15mdk
- removed bitmap fonts (nox XFree86 includes iso8859-2 versions)

* Tue Oct 17 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-14mdk
- fixed fontpaths (bitmap fonts are not scalable)

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-13mdk
- BM

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-12mdk
- fix groups.

* Thu Jan  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-11mdk
- New release.

* Tue Dec 07 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- add usr/X11R6/bin in path for build stage
- use of _tmppath in buildroot

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed typos

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- chkfontpath compliant.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts moved to /usr/share/fonts/ISO8859-2 under new font scheme.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- packaged for RH 5.2
- made a noarch package

